# _dbiVec Struct Reference
[DBI.]

Private methods for accessing an index database. More...

`#include <rpmdb.h>`

## Data Fields

int | dbv_major
int | dbv_minor
int | dbv_patch
int(* | open )(rpmdb rpmdb, int rpmtag, dbiIndex *dbip)
| Return handle for an index database.
int(* | close )(dbiIndex dbi, unsigned int flags)
| Close index database, and destroy database handle.
int(* | sync )(dbiIndex dbi, unsigned int flags)
| Flush pending operations to disk.
int(* | copen )(dbiIndex dbi, void **dbcp, unsigned int flags)
| Open database cursor.
int(* | cclose )(dbiIndex dbi, void *dbcursor, unsigned int flags)
| Close database cursor.
int(* | cdel )(dbiIndex dbi, void *dbcursor, const void *keyp, size_t keylen, unsigned int flags)
| Delete (key,data) pair(s) using db->del or dbcursor->c_del.
int(* | cget )(dbiIndex dbi, void *dbcursor, void **keypp, size_t *keylenp, void **datapp, size_t *datalenp, unsigned int flags)
| Retrieve (key,data) pair using db->get or dbcursor->c_get.
int(* | cput )(dbiIndex dbi, void *dbcursor, const void *keyp, size_t keylen, const void *datap, size_t datalen, unsigned int flags)
| Store (key,data) pair using db->put or dbcursor->c_put.
int(* | ccount )(dbiIndex dbi, void *dbcursor, unsigned int *countp, unsigned int flags)
| Retrieve count of (possible) duplicate items using dbcursor->c_count.
int(* | byteswapped )(dbiIndex dbi)
| Is database byte swapped?
int(* | stat )(dbiIndex dbi, unsigned int flags)
| Save statistics in database handle.

## Detailed Description

Private methods for accessing an index database.

Definition at line 52 of file rpmdb.h.

## Field Documentation

int _dbiVec::dbv_major

Berkeley db version major

Definition at line 53 of file rpmdb.h.

int _dbiVec::dbv_minor

Berkeley db version minor

Definition at line 54 of file rpmdb.h.

int _dbiVec::dbv_patch

Berkeley db version patch

Definition at line 55 of file rpmdb.h.

The documentation for this struct was generated from the following file:

- rpmdb/rpmdb.h